package com.dayou.mapper;

import com.dayou.dto.history.HisAssetsProduction;
import com.dayou.dto.history.HisMajorProduction;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DyoaHistoryMapper {

    Map<String,Object> queryMajorOrder(@Param("id") String id);

    List<HisMajorProduction> queryMajorHouseTarget(@Param("id") String id);

    List<HisMajorProduction> queryMajorLandTarget(@Param("id")String id);

    List<String> selectDyoaMajorOrderIds();

    List<HisMajorProduction> queryMajorProduction(@Param("id") String id);

    List<String> selectDyoaPersonalOrderIds();

    Map<String, Object> queryPersonalOrder(@Param("id") String id);

    List<String> getNewOrderIds(@Param("max") Date max);

    Map<String, Object> getRealAmountInfo(@Param("id") String max);

    List<String> getNewRealAmount(@Param("max") Date max);

    List<String> getNewClaimRecordIds(@Param("max") Date max);

    Map<String, Object> getNewClaimRecord(@Param("id") String id);

    List<String> selectDyoaAssetsOrderIds();

    Map<String, Object> queryAssetsOrder(@Param("id")String id);

    List<HisAssetsProduction> queryAssetsProduction(@Param("id") String id);

    List<String> getNewFinanceInvoice(@Param("max") Date max);
}
